GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
gtpin::GtHliLanguage Struct Reference
GTPin: High-Level Instrumentation (HLI) Library

Source language of the High-Level Instrumentation (HLI) module. More...

`#include <igt_hli_library.h>`

## Public Types
enum | ENUM { INVALID, OPENCL_C }
## Public Member Functions
constexpr | GtHliLanguage (ENUM v=INVALID)
| Conversion constructor.
constexpr | operator ENUM () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for any supported language.
constexpr bool | IsOpenCl () const
| Return true for OpenCL C language.
const char * | ToString () const
| Return string representation.

## Detailed Description

Source language of the High-Level Instrumentation (HLI) module.

Note:
  Currently, only OpenCL C sources can be compiled by GTPin at runtime. However, the tool can use an offline compiler to generate SPIR-V modules from other languages, and then load and link these SPIR-V modules to the instrumented kernels.

## Member Enumeration Documentation

enum gtpin::GtHliLanguage::ENUM

Enumerator:

  INVALID | Invalid / unknown language.
  OPENCL_C | OpenCL C language.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT